<?php
/* Tableau des Eléments Poterie par Caractéristique */
   $base_url = $request->getBaseUrl(); 
$sitefouille_nom_secure = preg_replace('/ /', '_', strtolower($sitefouille_info->get('nom','Accent')) );
  
$caracteristiqueNA = UTF8_encode("Non définie");
$data_ep_caracteristique = array();
$temp = array();

foreach ($caracteristique_elementpoteries as $ep_caracteristique ) {                    
	if($ep_caracteristique->get('caracteristique') == "NA"){
		$temp []= array($caracteristiqueNA,$ep_caracteristique->get('nb_er'));
	}
	else{
		$data_ep_caracteristique[] = array($ep_caracteristique->get('caracteristique'), $ep_caracteristique->get('nb_er')) ;
	}
} 

if(!empty($temp)){
	array_push($data_ep_caracteristique, $temp[0]);
}
if(!empty($temp) && $_SESSION['nb_er_poterie'] != 0){
	$data_ep_caracteristique = array(array($caracteristiqueNA, $_SESSION['nb_er_poterie']));
}

$json_ep_caracteristique =  json_encode($data_ep_caracteristique, JSON_NUMERIC_CHECK | JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;
  
// identifiant unique de la div d'affichage 
$unique_div = rand();
      
?>
<script type="text/javascript">
  			var json_ep_caracteristique = <?php  echo $json_ep_caracteristique ; ?> ; 
  			
  $(function () {
            // Build the chart
        $('#container_ep_caracteristique_pie_<?php echo $unique_div  ; ?>').highcharts({
            credits: {
              enabled: false
            },
            chart: {
                plotRetourgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false
            },
            
            title: { text: null },
            
            legend:{
            	enabled: true,
            	floating: true,
            	align: 'right',
            	verticalAlign:'top'
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: { enabled: false },
                    showInLegend: true,
                    center:["32%","55%"]
                }
            },
            series: [{
                type: 'pie',
                name: 'Nombres',
                data: json_ep_caracteristique,
                 dataLabels: { enabled: false }
            }],
          exporting: {
            enabled: false,
            filename: '<?php  echo $sitefouille_nom_secure.'_er_etat_pie-charts'  ; ?>'
          }
        });
        $('a').click(function(){ 
        	setTimeout(function(){
        		$('#container_ep_caracteristique_pie_<?php echo $unique_div  ; ?>').highcharts().reflow();
        		},100);            	            	
        });
});
 
</script>


<!-- Rappel Titre Onglets -->
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_caracteristique_pie">	
		<div id="container_ep_caracteristique_pie_<?php echo $unique_div  ; ?>" class="container_stats">
		</div>	                                      
      </div>
    </div>
  </div>
</div>
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_caracteristique_list" class="container_liste">
      	<table class="container_list">
			<?php
				for($i=0;$i<count($data_ep_caracteristique);$i++){
				echo "<tr><td><b> ".$data_ep_caracteristique[$i][0]."</b></td><td>".$data_ep_caracteristique[$i][1]."</td></tr>";
				}
			?>
		</table>
      </div>
    </div>
    
  </div>
</div>